Bug 104599 - When compiling plumhall/lib99/ch73.c on ia64: Internal compiler error in emit_group_store
Summary: When compiling plumhall/lib99/ch73.c on ia64: Internal compiler error in emit...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: ia64 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-17 18:23 UTC by dee lee
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 16:03:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dee lee 2003-09-17 18:23:38 UTC
Description of problem:

When compiling plumhall/lib/ch73.c using gcc version 3.2.3 20030502 on  (Red Hat
Linux 3.2.3-16), the following error occurs:

gcc  -std=iso9899:1999 -I<plumhall headers> -c <plumhall_lib_path>/ch73.c

ch73.c:271:
Internal compiler error in emit_group_store, at expr.c:2247
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):
/usr/lib64/ccache/bin/gcc -v
Reading specs from /usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--host=x86_64-redhat-linuxThread model: posix
gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-16)


How reproducible:

I couldn't post plumhall source on the bug report however, it's a standard
validation suite, plumhall/conform/lib99, hope you can get the source in house.

Comment 1 Vladimir Makarov 2005-09-30 16:03:47 UTC
It has been fixed.  I've checked gcc 3.2.3-20 and the current state of RH gcc
3.2 branch with PH 2003a.  The bug is gone.


Note You need to log in before you can comment on or make changes to this bug.